PUT /api/v3/placeBenchmark/setting

The user can edit the category and name for each benchmark If a benchmark has not been configured, it is configured User cannot delete a benchmark from this endpoint If the benchmark dto is null or not passed the API will ignore it If the benchmark dto is not null, the category and name are required

EditPlaceBenchmarkSettingsV3 Permissions: ApplicationSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BenchmarkSettingsEdit
Property Description Type
benchmark1 BenchmarkEdit
BenchmarkEdit properties
Property Description Type
benchmarkCategoryId benchmark category Id Required integer (int32)
benchmarkInfo benchmark name Required Not one of Area, Day Must be between 0 and 255 characters string
benchmark2 BenchmarkEdit
BenchmarkEdit properties
Property Description Type
benchmarkCategoryId benchmark category Id Required integer (int32)
benchmarkInfo benchmark name Required Not one of Area, Day Must be between 0 and 255 characters string
benchmark3 BenchmarkEdit
BenchmarkEdit properties
Property Description Type
benchmarkCategoryId benchmark category Id Required integer (int32)
benchmarkInfo benchmark name Required Not one of Area, Day Must be between 0 and 255 characters string
Example Request Body application/json
{  "benchmark1": {    "benchmarkCategoryId": 1,    "benchmarkInfo": "string"
  },  "benchmark2": {    "benchmarkCategoryId": 1,    "benchmarkInfo": "string"
  },  "benchmark3": {    "benchmarkCategoryId": 1,    "benchmarkInfo": "string"
  }
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BenchmarkSettingsResponse
Property Description Type
benchmark1 BenchmarkWithUsedCountResponse
BenchmarkWithUsedCountResponse properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
usedCount Number of times benchmark is used integer (int32)
benchmark2 BenchmarkWithUsedCountResponse
BenchmarkWithUsedCountResponse properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
usedCount Number of times benchmark is used integer (int32)
benchmark3 BenchmarkWithUsedCountResponse
BenchmarkWithUsedCountResponse properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
usedCount Number of times benchmark is used integer (int32)
Example Response application/json
{  "benchmark1": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "usedCount": 1
  },  "benchmark2": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "usedCount": 1
  },  "benchmark3": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "usedCount": 1
  }
}